/***************************************************************************
 *            engine.h
 *
 *  Sat Feb 21 22:27:02 2004
 *  Copyright (C) 2004  Marcin Krzywonos
 *  e-mail: linman@op.pl
 ****************************************************************************/

 /*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#include "ie.h"


// Funkcje zwiazane z obsluga bazy danych i wpisow
int         wczytaj_baze                   ();
int         zapisz_baze                    ();
int         szukaj_wpis                    (typ_data data);
int         sprawdz_ostatni                ();
int         edytuj_wpis                    (typ_data data);
wpis_struct czysty_wpis                    ();
int         laduj_przedmioty               ();
int         szukaj_sprawdzianow            ();
void        zestawienie_ocen               (lista_ocen lista [30], typ_data poczatek, typ_data koniec);
void        wyswietl_najblizszy_sprawdzian ();
void        wyswietl_licznik               ();
void        cofnij_modyfikacje             ();

// Funkcje zwiazane z obsluga wolnych dni
int         zapisz_wolne_dni               ();
int         wczytaj_wolne_dni              ();
int         wolne_dni_dodaj                (typ_data data);
int         wolne_dni_usun                 (typ_data data);
gboolean    wolne_dni_istnieje             (typ_data data);
gboolean    sprawdz_dzien_wolny            (typ_data data);
gboolean    sprawdz_czy_wakacje            (typ_data data);

// Funkcje zwiazane z planem lekcji
int         pobierz_plan_lekcji            ();
int         wypelnij_plan_lekcji           ();
int         zapisz_plan_lekcji             ();
int         wczytaj_plan_lekcji            ();

// Dodatkowe funkcje
int         dzien_tygodnia                 (typ_data data);
void        dopisz_oceny                   (lista_ocen lista [30], char przedmiot [20], char oceny [20]);
void        oczysc_oceny                   (char oczyszczone[120], char oceny[120]);
float       oblicz_srednia                 (char oceny [100]);
